Draft Rectangle

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Rectangle and the translation is 10% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Polygon.svg Polygon
Next: Text Draft Text.svg Arrow-right.svg

Draft Rectangle.svg Draft Rectangle

Ubicación en el Menú
Croquis → Rectángulo
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
R E
Introducido en versión
-
Ver también
Cubo


Descripción

Esta herramienta dibuja un Rectángulo indicando dos puntos de su diagonal.

La herramienta rectángulo crea un rectángulo indicando dos puntos de su diagonal. Toma el espesor de línea y color previamente definidos en la Barra de herramientas de la bandeja de tiro. Opcionalmente, puede agregar un chaflán de 45 grados o un filete circular a cada esquina del rectángulo, y puede dividir el rectángulo en una serie de filas y / o columnas de igual tamaño.

You can optionally add a 45 degree chamfer or circular fillet to every corner of the rectangle, and you can divide the rectangle into a series of equal-sized rows and columns.

Draft Rectangle example.jpg

Draft Rectangle example.jpg

Utilización

  1. Presiona el botón Draft Rectangle.png rectángulo, o presiona las teclas R y E
  2. Designa un primer punto de la diagonal en la vista 3D, o escribe unas coordenadas
  3. Designa el punto apuesto de la diagonal en la vista 3D, o escribe unas coordenadas. El rectángulo también será una cara, incluso aunque se muestre como en modo alámbrico.

The rectangle can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the points to a new position.

The length and width of the rectangle can be changed after creation by changing its properties.

Opciones

  • Presiona X, Y o Z después de un punto para restringir el siguiente punto respecto al eje dado.
  • Para introducir coordenadas manualmente, simplemente introduce los números, presiona ENTER entre cada componente X, Y y Z.
  • Presiona R o selecciona la casilla para activar/desactivar el botón Relativas. Si el modo relativas está activado, las coordenadas del siguiente punto son relativas al punto anterior. Si no, son absolutas, desde el origen de coordenadas (0,0,0).
  • Presiona T o selecciona la casilla para activar/desactivar el botón Continuo. Si el modo continuo está activado, la herramienta rectángulo se reiniciará después de terminar, permitiendo que dibujes otro sin necesidad de presionar el botón de rectángulo de nuevo.
  • Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a la posición de ajuste más cercana, independientemente de la distancia.
  • Presiona SHIFT mientras dibujas para restringir tu siguiente punto horizontal o verticalmente en relación al anterior.
  • Presiona I o el botón Relleno para que el rectángulo se muestre como una cara después de que se ha cerrado. Esto simplemente establece la Vista-->Propiedad del rectángulo como "líneas planas" o "alámbrico", de modo que se puede cambiar después de forma sencilla.
  • Presiona ESC o el botón Cancelar para abortar la línea de comando actual.
  • Los rectángulos, cuando están en modo "Líneas planas", pueden mostrar un patrón de sombreado, al establecer su propiedad "patrón".

Propiedades

  • DATALength: Especifica la longitud del rectángulo
  • DATAWidth: Especifica el ancho del rectángulo
  • DATAFillet Radius: Especifica el radio de curvatura a dar a las esquinas del rectángulo
  • DATA Fillet Radius: especifica el radio del filete de 90 grados en cada esquina del rectángulo

 

  • DATA Rows: divide el rectángulo (horizontalmente) en filas de igual tamaño. Todo el rectángulo es 1 fila, por defecto

 

  • DATA Columns: divide el rectángulo (verticalmente) en columnas de igual tamaño. Todo el rectángulo es 1 columna, por defecto.
  • DATA Make Face: llena el rectángulo con una cara
  • VIEWTexture Image: Permite indicar la ruta de una imagen a ser mapeada sobre el rectángulo. Depende de ti dar al rectángulo la misma proporción que a la imagen si quieres evitar distorsiones. Dejándolo en blanco se eliminará la imagen.
  • VIEW Pattern: especifica un patrón de sombreado para rellenar el cable.

  +

  • VIEW Pattern Size: especifica el tamaño del patrón de sombreado

Data

  • DATALength: specifies the length of the shape in the X axis direction.
  • DATAHeight: specifies the height of the shape in the Y axis direction.
  • DATAChamfer Size: specifies the diagonal length of the 45° chamfer at each corner of the rectangle.
  • DATAFillet Radius: specifies the radius of the 90° fillet at each corner of the rectangle.
  • DATARows: specifies the number of equal-sized rows in which the original shape is divided; by default, 1 row.
  • DATAColumns: specifies the number of equal-sized columns in which the original shape is divided; by default, 1 column.
  • DATAMake Face: specifies if the shape makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.
  • VIEWTexture Image: specifies the path to an image file to be mapped on the face of the shape. Blanking this property will remove the image.
The rectangle should have the same proportions as the image to avoid distortions in the mapping.

Archivos de guión

La herramienta rectángulo puede utilizarse en macros y desde la consola de Python utilizando la siguiente función:

The Rectangle tool can be used in macros and from the Python console by using the following function:

Rectangle = makeRectangle(length, height, placement=None, face=None, support=None)
  • Crea un objeto rectángulo Rectangle con longitud length en dirección X y altura height en dirección Y.
  • Si se indica una ubicación, se utiliza.
  • Si facemode es False, el rectángulo se mostrará en modo alámbrico, en otro caso como una cara.
  • Se utilizarán el espesor de línea y color actuales de Boceto.
  • Devuelve el objeto recién creado.

Ejemplo:

import FreeCAD, Draft

Rectangle1 = Draft.makeRectangle(4000, 1000)
Rectangle2 = Draft.makeRectangle(1000, 4000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 45))

Rectangle3 = Draft.makeRectangle(3500, 250, placement=place3)
Arrow-left.svg Previous: Draft Polygon.svg Polygon
Next: Text Draft Text.svg Arrow-right.svg